# Data Backfill

If you are an Order to Revenue user, you can use the data backfill operations to perform, view or stop data backfill tasks.

 - [POST /v1/uno/data-backfill/bookingdate/jobs](https://developer.zuora.com/v1-api-reference/api/data-backfill/post_createbookingdatebackfilljob.md): Creates a booking date backfill job to update the booking date with your charge's original created-on date.
 - [GET /v1/uno/data-backfill/bookingdate/jobs](https://developer.zuora.com/v1-api-reference/api/data-backfill/get_listbookingdatebackfilljobs.md): Use this operation to list all booking date backfill jobs.
 - [GET /v1/uno/data-backfill/bookingdate/jobs/{jobId}](https://developer.zuora.com/v1-api-reference/api/data-backfill/get_bookingdatebackfilljobbyid.md): Use this operation to retrieve a specific booking date backfill job.
 - [PUT /v1/uno/data-backfill/bookingdate/jobs/{jobId}](https://developer.zuora.com/v1-api-reference/api/data-backfill/put_stopbookingdatebackfilljobbyid.md): Use this operation to stop a booking date backfill job.
 - [POST /v1/uno/data-backfill/jobs](https://developer.zuora.com/v1-api-reference/api/data-backfill/post_createdatabackfilljob.md): Use this operation to perform the following types of data backfill actions. Also, you need to upload a corresponding file to perform a data backfill action. * Update Product Rate Plan Charge * Update
 - [GET /v1/uno/data-backfill/jobs/{jobId}](https://developer.zuora.com/v1-api-reference/api/data-backfill/get_databackfilljobbyid.md): Returns a single Data Backfill job
 - [PUT /v1/uno/data-backfill/jobs/{jobId}](https://developer.zuora.com/v1-api-reference/api/data-backfill/put_stopdatabackfilljobbyid.md): Use this operation to stop a data backfill job.
 - [GET /v1/uno/data-backfill/listjobs](https://developer.zuora.com/v1-api-reference/api/data-backfill/get_listdatabackfilljobs.md)
 - [GET /v1/uno/data-backfill/jobs/{type}/template](https://developer.zuora.com/v1-api-reference/api/data-backfill/get_databackfilltemplate.md): Use this operation to download a data backfill template file of the specific type.
 - [GET /v1/uno/data-backfill/propagation/jobs](https://developer.zuora.com/v1-api-reference/api/data-backfill/get_listautobackfilljob.md): Use this operation to list all auto backfill jobs.
 - [POST /v1/uno/data-backfill/propagation/jobs](https://developer.zuora.com/v1-api-reference/api/data-backfill/post_createautobackfilljob.md): Creates an autobackfill job to update the rate plan charge and order line item with product rate plan charge.
 - [GET /v1/uno/data-backfill/propagation/jobs/{jobId}](https://developer.zuora.com/v1-api-reference/api/data-backfill/get_autobackfilljobbyid.md): Use this operation to retrieve a specific auto backfill job.
 - [PUT /v1/uno/data-backfill/propagation/jobs/{jobId}](https://developer.zuora.com/v1-api-reference/api/data-backfill/put_stopautobackfilljobbyid.md): Use this operation to stop an auto backfill job.
